#Module-Specific definitions
%define mod_name mod_geoip
%define mod_conf A10_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Module for apache (2.0.x) to use the GeoIP database
Name:		apache-%{mod_name}
Version:	1.2.5
Release:	%mkrel 2
Group:		System/Servers
License:	GPL
URL:		http://www.maxmind.com/app/mod_geoip
Source0:	http://www.maxmind.com/download/geoip/api/mod_geoip2/%{mod_name}2_%{version}.tar.gz
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
Requires:	geoip
BuildRequires:	GeoIP-devel >= 1.4.0
BuildRequires:	libtool 
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GeoIP is a C library that enables the user to find the country that any IP
address or hostname originates from. 
It uses a file based database that contains IP blocks as keys,
and countries as values. This database should be more complete and accurate
than using reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

This module can be used to automatically select the geographically closest
mirror, to analyze your web server logs to determine the countries of your
visitors, for credit card fraud detection, and for software export controls.

See INSTALL file in document directory for how to use it.

%prep

%setup -q -n %{mod_name}2_%{version}

cp %{SOURCE1} %{mod_conf}

%build

%{_sbindir}/apxs -c mod_geoip.c -L%{_libdir} -I%{_includedir} -lGeoIP 

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/%{mod_so} %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README Changes README.php 
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.org> 1:1.2.5-2mdv2009.1
+ Revision: 325772
- rebuild

* Thu Sep 11 2008 Oden Eriksson <oeriksson@mandriva.org> 1:1.2.5-1mdv2009.0
+ Revision: 283692
- 1.2.5

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.org> 1:1.2.4-2mdv2009.0
+ Revision: 234954
- rebuild

* Fri Jun 13 2008 Oden Eriksson <oeriksson@mandriva.org> 1:1.2.4-1mdv2009.0
+ Revision: 218740
- fix build
- 1.2.4

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.org> 1:1.2.3-2mdv2009.0
+ Revision: 215584
- fix rebuild

* Sat May 10 2008 Oden Eriksson <oeriksson@mandriva.org> 1:1.2.3-1mdv2009.0
+ Revision: 205386
- 1.2.3

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.org> 1:1.2.0-3mdv2008.1
+ Revision: 182824
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:1.2.0-2mdv2008.1
+ Revision: 170725
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 14 2007 Oden Eriksson <oeriksson@mandriva.org> 1:1.2.0-1mdv2008.1
+ Revision: 98177
- 1.2.0

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.org> 1:1.1.8-3mdv2008.0
+ Revision: 82590
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.8-2mdv2007.1
+ Revision: 140689
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.8-1mdv2007.0
+ Revision: 79435
- Import apache-mod_geoip

* Mon Jul 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.8-1mdv2007.0
- 1.1.8

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.7-2mdk
- rebuilt against apache-2.2.0

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.7-1mdk
- fix versioning

* Wed Sep 28 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.1.7-1mdk
- initial mandriva package (Gal Duval)

* Thu Sep 22 2005 Gal Duval < gduval at mandriva dot com > 2.0.54_1.1.7-0mdk
- fix spec file for Mandriva
- added /etc/httpd/conf.d/10_mod_geoip.conf
- rebuilt

* Wed Aug 10 2005 Thomas Steudten <thomas at steudten dot com> 1.1.7-1
- rebuilt

* Sun Jul 10 2005 Thomas Steudten <thomas at steudten dot com> 1.1.6-1
- rebuilt

* Sun Apr 24 2005 Thomas Steudten <thomas at steudten dot com> 1.1.5-1
- rebuilt

* Wed Sep 29 2004 Thomas Steudten <thomas at steudten dot com> 1.1.2-1
- rebuilt

* Sun May 23 2004 Thomas Steudten <thomas at steudten dot com> 1.1.0-1
- First Version

